Index: uKadecot/trunk/csp/libssp/cfg/cfg.mtsp
===================================================================
--- uKadecot/trunk/csp/libssp/cfg/cfg.mtsp	(revision 248)
+++ uKadecot/trunk/csp/libssp/cfg/cfg.mtsp	(revision 262)
@@ -772,61 +826,64 @@
       <LbgOptionLibraryMode-DefaultValue>MakeOptionChanged</LbgOptionLibraryMode-DefaultValue>
       <LbgOptionLogo-DefaultValue>False</LbgOptionLogo-DefaultValue>
+      <LbgOptionOutputFolder-DefaultValue>%BuildModeName%</LbgOptionOutputFolder-DefaultValue>
+      <LbgOptionUseSameOptimizeRelatedSettingsAsCompileOptions-DefaultValue>False</LbgOptionUseSameOptimizeRelatedSettingsAsCompileOptions-DefaultValue>
+      <LbgOptionHead-DefaultValue>Custom</LbgOptionHead-DefaultValue>
       <LbgOptionOptimize-DefaultValue>Level2</LbgOptionOptimize-DefaultValue>
-      <LbgOptionOutputFolder-DefaultValue>%BuildModeName%</LbgOptionOutputFolder-DefaultValue>
-      <LbgOptionGoptimize-DefaultValue>False</LbgOptionGoptimize-DefaultValue>
-      <LbgOptionHead-DefaultValue>Custom</LbgOptionHead-DefaultValue>
       <LbgOptionOutputFileName-DefaultValue>%ProjectName%.lib</LbgOptionOutputFileName-DefaultValue>
       <LbgOptionPreLibraryGenerateCommands-DefaultValue />
       <LbgOptionFunctionalCutdown-DefaultValue>None</LbgOptionFunctionalCutdown-DefaultValue>
+      <LbgOptionGoptimize-DefaultValue>False</LbgOptionGoptimize-DefaultValue>
       <LbgOptionHeadRuntime-DefaultValue>True</LbgOptionHeadRuntime-DefaultValue>
       <LbgOptionPostLibraryGenerateCommands-DefaultValue />
-      <LbgOptionSpeedAndSize-DefaultValue>Size</LbgOptionSpeedAndSize-DefaultValue>
       <LbgOptionHeadCtypeH-DefaultValue>False</LbgOptionHeadCtypeH-DefaultValue>
-      <LbgOptionLoop-DefaultValue>Auto</LbgOptionLoop-DefaultValue>
       <LbgOptionOtherAdditionalOptions-DefaultValue />
       <LbgOptionReent-DefaultValue>False</LbgOptionReent-DefaultValue>
+      <LbgOptionSpeedAndSize-DefaultValue>Size</LbgOptionSpeedAndSize-DefaultValue>
       <LbgOptionCommandLine-DefaultValue />
       <LbgOptionHeadMathH-DefaultValue>False</LbgOptionHeadMathH-DefaultValue>
+      <LbgOptionLoop-DefaultValue>Auto</LbgOptionLoop-DefaultValue>
+      <LbgOptionSecureMalloc-DefaultValue>False</LbgOptionSecureMalloc-DefaultValue>
+      <LbgOptionHeadMathfH-DefaultValue>False</LbgOptionHeadMathfH-DefaultValue>
       <LbgOptionLoopValue-DefaultValue>2</LbgOptionLoopValue-DefaultValue>
+      <LbgOptionUseSameObjectRelatedSettingsAsCompileOptions-DefaultValue>False</LbgOptionUseSameObjectRelatedSettingsAsCompileOptions-DefaultValue>
+      <LbgOptionHeadStdargH-DefaultValue>False</LbgOptionHeadStdargH-DefaultValue>
+      <LbgOptionInline-DefaultValue>Auto</LbgOptionInline-DefaultValue>
       <LbgOptionSectionP-DefaultValue>P</LbgOptionSectionP-DefaultValue>
-      <LbgOptionHeadMathfH-DefaultValue>False</LbgOptionHeadMathfH-DefaultValue>
-      <LbgOptionInline-DefaultValue>Auto</LbgOptionInline-DefaultValue>
+      <LbgOptionHeadStdioH-DefaultValue>True</LbgOptionHeadStdioH-DefaultValue>
+      <LbgOptionInlineValue-DefaultValue>100</LbgOptionInlineValue-DefaultValue>
       <LbgOptionSectionC-DefaultValue>C</LbgOptionSectionC-DefaultValue>
-      <LbgOptionHeadStdargH-DefaultValue>False</LbgOptionHeadStdargH-DefaultValue>
-      <LbgOptionInlineValue-DefaultValue>100</LbgOptionInlineValue-DefaultValue>
+      <LbgOptionFileInline-DefaultValue />
+      <LbgOptionHeadStdlibH-DefaultValue>True</LbgOptionHeadStdlibH-DefaultValue>
       <LbgOptionSectionD-DefaultValue>D</LbgOptionSectionD-DefaultValue>
-      <LbgOptionFileInline-DefaultValue />
-      <LbgOptionHeadStdioH-DefaultValue>True</LbgOptionHeadStdioH-DefaultValue>
+      <LbgOptionCase-DefaultValue>Auto</LbgOptionCase-DefaultValue>
+      <LbgOptionHeadStringH-DefaultValue>True</LbgOptionHeadStringH-DefaultValue>
       <LbgOptionSectionB-DefaultValue>B</LbgOptionSectionB-DefaultValue>
-      <LbgOptionCase-DefaultValue>Auto</LbgOptionCase-DefaultValue>
-      <LbgOptionHeadStdlibH-DefaultValue>True</LbgOptionHeadStdlibH-DefaultValue>
+      <LbgOptionHeadIos-DefaultValue>False</LbgOptionHeadIos-DefaultValue>
       <LbgOptionSectionL-DefaultValue>L</LbgOptionSectionL-DefaultValue>
-      <LbgOptionHeadStringH-DefaultValue>True</LbgOptionHeadStringH-DefaultValue>
-      <LbgOptionSectionW-DefaultValue>W</LbgOptionSectionW-DefaultValue>
       <LbgOptionVolatile-DefaultValue>False</LbgOptionVolatile-DefaultValue>
       <LbgOptionConstCopy-DefaultValue>Auto</LbgOptionConstCopy-DefaultValue>
-      <LbgOptionHeadIos-DefaultValue>False</LbgOptionHeadIos-DefaultValue>
+      <LbgOptionHeadNew-DefaultValue>True</LbgOptionHeadNew-DefaultValue>
+      <LbgOptionSectionW-DefaultValue>W</LbgOptionSectionW-DefaultValue>
+      <LbgOptionConstDiv-DefaultValue>Auto</LbgOptionConstDiv-DefaultValue>
+      <LbgOptionHeadComplex-DefaultValue>False</LbgOptionHeadComplex-DefaultValue>
       <LbgOptionNostuffB-DefaultValue>False</LbgOptionNostuffB-DefaultValue>
-      <LbgOptionConstDiv-DefaultValue>Auto</LbgOptionConstDiv-DefaultValue>
-      <LbgOptionHeadNew-DefaultValue>True</LbgOptionHeadNew-DefaultValue>
+      <LbgOptionHeadString-DefaultValue>False</LbgOptionHeadString-DefaultValue>
+      <LbgOptionLibrary-DefaultValue>Intrinsic</LbgOptionLibrary-DefaultValue>
       <LbgOptionNostuffD-DefaultValue>False</LbgOptionNostuffD-DefaultValue>
-      <LbgOptionHeadComplex-DefaultValue>False</LbgOptionHeadComplex-DefaultValue>
-      <LbgOptionLibrary-DefaultValue>Intrinsic</LbgOptionLibrary-DefaultValue>
+      <LbgOptionHeadComplexH-DefaultValue>False</LbgOptionHeadComplexH-DefaultValue>
       <LbgOptionNostuffC-DefaultValue>False</LbgOptionNostuffC-DefaultValue>
-      <LbgOptionHeadString-DefaultValue>False</LbgOptionHeadString-DefaultValue>
+      <LbgOptionScope-DefaultValue>Auto</LbgOptionScope-DefaultValue>
+      <LbgOptionHeadFenvH-DefaultValue>False</LbgOptionHeadFenvH-DefaultValue>
       <LbgOptionNostuffW-DefaultValue>False</LbgOptionNostuffW-DefaultValue>
-      <LbgOptionScope-DefaultValue>Auto</LbgOptionScope-DefaultValue>
-      <LbgOptionHeadComplexH-DefaultValue>False</LbgOptionHeadComplexH-DefaultValue>
-      <LbgOptionInstalign-DefaultValue>Noinstalign</LbgOptionInstalign-DefaultValue>
       <LbgOptionSchedule-DefaultValue>Auto</LbgOptionSchedule-DefaultValue>
       <LbgOptionApproxdiv-DefaultValue>False</LbgOptionApproxdiv-DefaultValue>
-      <LbgOptionHeadFenvH-DefaultValue>False</LbgOptionHeadFenvH-DefaultValue>
+      <LbgOptionHeadInttypesH-DefaultValue>False</LbgOptionHeadInttypesH-DefaultValue>
+      <LbgOptionInstalign-DefaultValue>Noinstalign</LbgOptionInstalign-DefaultValue>
+      <LbgOptionEnableRegister-DefaultValue>False</LbgOptionEnableRegister-DefaultValue>
+      <LbgOptionHeadWcharH-DefaultValue>False</LbgOptionHeadWcharH-DefaultValue>
       <LbgOptionNouseDiv-DefaultValue>True</LbgOptionNouseDiv-DefaultValue>
-      <LbgOptionEnableRegister-DefaultValue>False</LbgOptionEnableRegister-DefaultValue>
-      <LbgOptionHeadInttypesH-DefaultValue>False</LbgOptionHeadInttypesH-DefaultValue>
-      <LbgOptionHeadWcharH-DefaultValue>False</LbgOptionHeadWcharH-DefaultValue>
+      <LbgOptionHeadWctypeH-DefaultValue>False</LbgOptionHeadWctypeH-DefaultValue>
       <LbgOptionSimpleFloatConv-DefaultValue>False</LbgOptionSimpleFloatConv-DefaultValue>
       <LbgOptionFpu-DefaultValue>Fpu</LbgOptionFpu-DefaultValue>
-      <LbgOptionHeadWctypeH-DefaultValue>False</LbgOptionHeadWctypeH-DefaultValue>
       <LbgOptionFloatOrder-DefaultValue>False</LbgOptionFloatOrder-DefaultValue>
       <IsLockedByUser>False</IsLockedByUser>
@@ -835,60 +892,63 @@
       <LbgOptionLibraryMode-0>MakeOptionChanged</LbgOptionLibraryMode-0>
       <LbgOptionLogo-0>False</LbgOptionLogo-0>
+      <LbgOptionOutputFolder-0>%BuildModeName%</LbgOptionOutputFolder-0>
+      <LbgOptionUseSameOptimizeRelatedSettingsAsCompileOptions-0>False</LbgOptionUseSameOptimizeRelatedSettingsAsCompileOptions-0>
+      <LbgOptionHead-0>Custom</LbgOptionHead-0>
       <LbgOptionOptimize-0>Level2</LbgOptionOptimize-0>
-      <LbgOptionOutputFolder-0>%BuildModeName%</LbgOptionOutputFolder-0>
-      <LbgOptionGoptimize-0>False</LbgOptionGoptimize-0>
-      <LbgOptionHead-0>Custom</LbgOptionHead-0>
       <LbgOptionOutputFileName-0>%ProjectName%.lib</LbgOptionOutputFileName-0>
       <LbgOptionPreLibraryGenerateCommands-0 />
       <LbgOptionFunctionalCutdown-0>None</LbgOptionFunctionalCutdown-0>
+      <LbgOptionGoptimize-0>False</LbgOptionGoptimize-0>
       <LbgOptionPostLibraryGenerateCommands-0 />
-      <LbgOptionSpeedAndSize-0>Size</LbgOptionSpeedAndSize-0>
       <LbgOptionHeadCtypeH-0>False</LbgOptionHeadCtypeH-0>
-      <LbgOptionLoop-0>Auto</LbgOptionLoop-0>
       <LbgOptionOtherAdditionalOptions-0 />
       <LbgOptionReent-0>False</LbgOptionReent-0>
+      <LbgOptionSpeedAndSize-0>Size</LbgOptionSpeedAndSize-0>
       <LbgOptionCommandLine-0 />
       <LbgOptionHeadMathH-0>False</LbgOptionHeadMathH-0>
+      <LbgOptionLoop-0>Auto</LbgOptionLoop-0>
+      <LbgOptionSecureMalloc-0>False</LbgOptionSecureMalloc-0>
+      <LbgOptionHeadMathfH-0>False</LbgOptionHeadMathfH-0>
       <LbgOptionLoopValue-0>2</LbgOptionLoopValue-0>
+      <LbgOptionUseSameObjectRelatedSettingsAsCompileOptions-0>False</LbgOptionUseSameObjectRelatedSettingsAsCompileOptions-0>
+      <LbgOptionHeadStdargH-0>False</LbgOptionHeadStdargH-0>
+      <LbgOptionInline-0>Auto</LbgOptionInline-0>
       <LbgOptionSectionP-0>P</LbgOptionSectionP-0>
-      <LbgOptionHeadMathfH-0>False</LbgOptionHeadMathfH-0>
-      <LbgOptionInline-0>Auto</LbgOptionInline-0>
+      <LbgOptionHeadStdioH-0>True</LbgOptionHeadStdioH-0>
+      <LbgOptionInlineValue-0>100</LbgOptionInlineValue-0>
       <LbgOptionSectionC-0>C</LbgOptionSectionC-0>
-      <LbgOptionHeadStdargH-0>False</LbgOptionHeadStdargH-0>
-      <LbgOptionInlineValue-0>100</LbgOptionInlineValue-0>
+      <LbgOptionFileInline-0 />
+      <LbgOptionHeadStdlibH-0>True</LbgOptionHeadStdlibH-0>
       <LbgOptionSectionD-0>D</LbgOptionSectionD-0>
-      <LbgOptionFileInline-0 />
-      <LbgOptionHeadStdioH-0>True</LbgOptionHeadStdioH-0>
+      <LbgOptionCase-0>Auto</LbgOptionCase-0>
+      <LbgOptionHeadStringH-0>True</LbgOptionHeadStringH-0>
       <LbgOptionSectionB-0>B</LbgOptionSectionB-0>
-      <LbgOptionCase-0>Auto</LbgOptionCase-0>
-      <LbgOptionHeadStdlibH-0>True</LbgOptionHeadStdlibH-0>
+      <LbgOptionHeadIos-0>False</LbgOptionHeadIos-0>
       <LbgOptionSectionL-0>L</LbgOptionSectionL-0>
-      <LbgOptionHeadStringH-0>True</LbgOptionHeadStringH-0>
-      <LbgOptionSectionW-0>W</LbgOptionSectionW-0>
       <LbgOptionVolatile-0>False</LbgOptionVolatile-0>
       <LbgOptionConstCopy-0>Auto</LbgOptionConstCopy-0>
-      <LbgOptionHeadIos-0>False</LbgOptionHeadIos-0>
+      <LbgOptionHeadNew-0>True</LbgOptionHeadNew-0>
+      <LbgOptionSectionW-0>W</LbgOptionSectionW-0>
+      <LbgOptionConstDiv-0>Auto</LbgOptionConstDiv-0>
+      <LbgOptionHeadComplex-0>False</LbgOptionHeadComplex-0>
       <LbgOptionNostuffB-0>False</LbgOptionNostuffB-0>
-      <LbgOptionConstDiv-0>Auto</LbgOptionConstDiv-0>
-      <LbgOptionHeadNew-0>True</LbgOptionHeadNew-0>
+      <LbgOptionHeadString-0>False</LbgOptionHeadString-0>
+      <LbgOptionLibrary-0>Intrinsic</LbgOptionLibrary-0>
       <LbgOptionNostuffD-0>False</LbgOptionNostuffD-0>
-      <LbgOptionHeadComplex-0>False</LbgOptionHeadComplex-0>
-      <LbgOptionLibrary-0>Intrinsic</LbgOptionLibrary-0>
+      <LbgOptionHeadComplexH-0>False</LbgOptionHeadComplexH-0>
       <LbgOptionNostuffC-0>False</LbgOptionNostuffC-0>
-      <LbgOptionHeadString-0>False</LbgOptionHeadString-0>
+      <LbgOptionScope-0>Auto</LbgOptionScope-0>
+      <LbgOptionHeadFenvH-0>False</LbgOptionHeadFenvH-0>
       <LbgOptionNostuffW-0>False</LbgOptionNostuffW-0>
-      <LbgOptionScope-0>Auto</LbgOptionScope-0>
-      <LbgOptionHeadComplexH-0>False</LbgOptionHeadComplexH-0>
-      <LbgOptionInstalign-0>Noinstalign</LbgOptionInstalign-0>
       <LbgOptionSchedule-0>Auto</LbgOptionSchedule-0>
       <LbgOptionApproxdiv-0>False</LbgOptionApproxdiv-0>
-      <LbgOptionHeadFenvH-0>False</LbgOptionHeadFenvH-0>
+      <LbgOptionHeadInttypesH-0>False</LbgOptionHeadInttypesH-0>
+      <LbgOptionInstalign-0>Noinstalign</LbgOptionInstalign-0>
+      <LbgOptionEnableRegister-0>False</LbgOptionEnableRegister-0>
+      <LbgOptionHeadWcharH-0>False</LbgOptionHeadWcharH-0>
       <LbgOptionNouseDiv-0>True</LbgOptionNouseDiv-0>
-      <LbgOptionEnableRegister-0>False</LbgOptionEnableRegister-0>
-      <LbgOptionHeadInttypesH-0>False</LbgOptionHeadInttypesH-0>
-      <LbgOptionHeadWcharH-0>False</LbgOptionHeadWcharH-0>
+      <LbgOptionHeadWctypeH-0>False</LbgOptionHeadWctypeH-0>
       <LbgOptionSimpleFloatConv-0>False</LbgOptionSimpleFloatConv-0>
       <LbgOptionFpu-0>Fpu</LbgOptionFpu-0>
-      <LbgOptionHeadWctypeH-0>False</LbgOptionHeadWctypeH-0>
       <LbgOptionFloatOrder-0>False</LbgOptionFloatOrder-0>
     </Instance>
@@ -1147,4 +1207,8 @@
       <DebuggerProperty-HookProperty-HookTransaction-Disconnecting-Length>0</DebuggerProperty-HookProperty-HookTransaction-Disconnecting-Length>
       <DebuggerProperty-DownloadProperty-DebugInformation-MaxLoaderMemorySize>500</DebuggerProperty-DownloadProperty-DebugInformation-MaxLoaderMemorySize>
+      <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-IsDefaultItem>True</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-IsDefaultItem>
+      <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-DefaultItemProjectGuid>c170030b-b19d-470a-99cb-00eb1a66ac6b</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-DefaultItemProjectGuid>
+      <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-CompilerType>Auto</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-CompilerType>
+      <DebuggerProperty-DownloadProperty-None-DefaultDownloadItemSupported>True</DebuggerProperty-DownloadProperty-None-DefaultDownloadItemSupported>
     </Instance>
   </Class>
